A bit of vlc/libvlc cleanup:
[vlc.git] / include / vlc_demux.h
index ce2a695..97982eb 100644 (file)
  * Foundation, Inc., 51 Franklin Street, Fifth Floor, Boston MA 02110-1301, USA.
  *****************************************************************************/
 
+#if !defined( __LIBVLC__ )
+  #error You are not libvlc or one of its plugins. You cannot include this file
+#endif
+
 #ifndef _VLC_DEMUX_H
 #define _VLC_DEMUX_H 1